it-swarm-fr.com

Différences entre CLASS12.JAR, OJDBC14.JAR, OJDBC5.JAR et OJDBC6.JAR

Nous prévoyons de mettre à niveau nos serveurs d'applications vers une nouvelle version de JRUN qui porte une mise à niveau de Java 1.4 à Java 1.6. Dans le cadre de cette partie. Nous avons testé diverses pièces de notre pile de logiciels et réalisa la nécessité de regarder également nos pilotes Oracle JDBC.

En regardant le site et la documentation Oracle, les différentes versions semblent cibler principalement diverses versions de l'API JDBC, qui tendent à correspondre à la version de la JVM qu'ils ont été introduites dans. Avec Java ( Généralement) étant compatible à l'envers, il semble que cela puisse coller avec OJDBC14.jar pourrait avoir le plus de sens, mais j'espérais que quelqu'un de côté peut clarifier des choses un peu mieux.

Les documents appellent spécifiquement un graphique comme celui-ci, ce qui me permet de me demander si OJDBC14.jar est officiellement pris en charge sous Java 6.

classes12.jar - for Java 1.2 and 1.3
ojdbc14.jar - for Java 1.4 and 1.5
ojdbc5.jar - for Java 1.5
ojdbc6.jar - for Java 1.6

Y a-t-il quelque chose que je devrais être au courant d'une perspective de systèmes lors du mélange et de la correspondance de pilotes et de machines virtuelles?

9
Goyuix

Oui, vous pouvez exécuter les plus petits pilotes sur de nouveaux Java versions. Il est juste que JDBC14.jar ne contient pas de fonctionnalités JDBC3 et JDBC4.

Vous devez différencier entre le temps d'exécution et la compilation. Au moment de l'exécution, vous pouvez utiliser OJDBC14.jar dans une JRE6 tant que votre code d'application n'utilise pas les fonctionnalités JDBC4. Si vous souhaitez utiliser OJDBC14.jar dans le buildPath, vous pourriez rencontrer des problèmes avec une méthode non mise en œuvre.

Cependant, je suggère généreusement d'utiliser les derniers pilotes JDBC (I.E. 11.1.0.7) et la version la plus élevée possible. (Peu importe ce que la version db est).

Utilisez-vous le mode OCI ou mince?

6
eckes